Projects
Get Projects visible to user
Get projects that a user can see. Required permissions: ListProject. Note: This is a beta endpoint with known limitations.
GET
/
api
/
projects
/
beta
/
projects
Get Projects visible to user
curl --request GET \
--url https://mycluster.domino.tech/api/projects/beta/projects \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/projects/beta/projects"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/projects/beta/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"limit": 123,
"offset": 123,
"totalCount": 123
},
"projects": [
{
"collaborators": [
{
"id": "662604702b7e5d347dbe7a908",
"role": "contributor"
}
],
"description": "<string>",
"id": "626046fcb7e5d347dbe7a904",
"isRestricted": true,
"name": "My Project",
"ownerId": "662604702b7e5d347dbe7a908",
"ownerUsername": "steve_holt",
"visibility": "public",
"billingTag": {
"tag": "<string>"
},
"internalTags": [
"restricted"
],
"mainRepository": {
"defaultRef": {
"refType": "head",
"value": "<string>"
},
"id": "62604702b7e5d347dbe7a908",
"serviceProvider": "bitbucket",
"uri": "https://github.com/torvalds/linux",
"name": "<string>"
}
}
]
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Query Parameters
How many Projects from the start to skip. Defaults to 0.
Max number of Projects to fetch. Defaults to 10.
Last modified on June 26, 2026
Related topics
Get Registered Models visible to userGet Registered Models visible to user (v2)Get Environments visible to a userGet a list of Registered Models' names visible to userWas this page helpful?
⌘I
Get Projects visible to user
